org.hibernate.validator.internal.metadata.aggregated

## Class GroupConversionHelper

- java.lang.Object
- - org.hibernate.validator.internal.metadata.aggregated.GroupConversionHelper

-     public class GroupConversionHelper
      extends Object

  Provides group conversion functionality to `Cascadable`s.
  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupConversionHelper(Map<Class<?>,Class<?>> groupConversions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<GroupConversionDescriptor>` | `asDescriptors()` Returns a set with `GroupConversionDescriptor`s representing the underlying group conversions.
    `Class<?>` | `convertGroup(Class<?> from)` Converts the given validation group as per the group conversion configuration for this property (as e.g.
    `void` | `validateGroupConversions(boolean isCascaded, String location)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupConversionHelper

          public GroupConversionHelper(Map<Class<?>,Class<?>> groupConversions)

  - ### Method Detail

    - #### convertGroup

          public Class<?> convertGroup(Class<?> from)

      Converts the given validation group as per the group conversion configuration for this property (as e.g. specified via `@ConvertGroup`.
      Parameters:
        `from` - The group to convert.
      Returns:
        The converted group. Will be the original group itself in case no conversion is to be performed.

    - #### asDescriptors

          public Set<GroupConversionDescriptor> asDescriptors()

      Returns a set with `GroupConversionDescriptor`s representing the underlying group conversions.
      Returns:
        A set with group conversion descriptors. May be empty, but never `null`.

    - #### validateGroupConversions

          public void validateGroupConversions(boolean isCascaded,
                                      String location)

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved